<!doctype html>
<html lang="{{ locale }}">
  <head profile="http://www.w3.org/2005/10/profile">
    {% if site.googleTagId %}
      <!-- Global site tag (gtag.js) - Google Analytics -->
      <script async src="https://www.googletagmanager.com/gtag/js?id={{ site.googleTagId }}"></script>
      <script>
        window.dataLayer = window.dataLayer || [];
        function gtag() {
          dataLayer.push(arguments);
        }
        gtag('js', new Date());

        gtag('config', '{{ site.googleTagId }}');
      </script>
    {% endif %}
    <title>{{ title }} - {{ site.name }}</title>
    <meta name="description" content="{{ description }}">
    <meta name="keywords" content="{{ keywords }}">
    <link rel="icon" type="image/png" href="{{ site.faviconUrl | url  }}">
    <link rel="stylesheet" type="text/css" href="{{ '/assets/main.css' | url }}"/>
    <link href="https://unpkg.com/prismjs@1.21.0/themes/prism-okaidia.css" rel="stylesheet">
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.13.1/css/all.min.css" rel="stylesheet">
    <style>
		.hero {
      background: url(https://cdn.pixabay.com/photo/2016/10/11/21/43/geometric-1732847_1280.jpg) no-repeat center center;
      background-size: cover;
		}
	  </style>
  </head>
  <body>
    {% include './top-nav.njk' %}

    {# Hero #}
    <div class="w-full flex mx-auto hero">
      <div id="hero" class="mt-24 container px-3 mx-auto flex flex-wrap flex-col md:flex-row items-center">
        <div id="hero-label" class="flex flex-col w-full md:w-3/5 justify-center items-start text-center md:text-left">
          <span class="text-4xl text-white">{{ slogan }}<span>
          <div class="block my-2 ">
            <a href="{{ hero_button_link | url}}" class="text-base text-white border-2 border-white hover:bg-primary p-2 rounded-lg no-underline hover:text-white">{{ site[locale]._t.contact_us }}</a>
          </div>
        </div>
        <div id="hero-visual" class="w-full md:w-2/5 py-6 text-center">
          <div class="flex justify-center">
            <img class="justify-center rounded-lg w-2 md:w-2/5 z-1" 
              src="{{ "/images/unitekeng-logo.jpeg" | url }}">
          </div>
        </div>
      </div>
    </div>

    <div class="container w-full flex flex-wrap mx-auto px-2 pt-8 ">
      <div class="content w-full text-gray-700  p-2">
        {{ content | safe }}
      </div>
    </div>

    {% include './footer.njk' %}

    <script src="{{ '/assets/main.js' | url }}"></script>

    <script>

      /* https://gist.github.com/slavapas/593e8e50cf4cc16ac972afcbad4f70c8 */
      /* Toggle dropdown list */

      var navMenuDiv = document.getElementById("nav-content");
      var navMenu = document.getElementById("nav-toggle");

      var helpMenuDiv = document.getElementById("menu-content");
      var helpMenu = document.getElementById("menu-toggle");

      document.onclick = check;

      function check(e) {
        var target = (e && e.target) || (event && event.srcElement);

        //Nav Menu
        if (!checkParent(target, navMenuDiv)) {
          // click NOT on the menu
          if (checkParent(target, navMenu)) {
            // click on the link
            if (navMenuDiv.classList.contains("hidden")) {
              navMenuDiv
                .classList
                .remove("hidden");
            } else {
              navMenuDiv
                .classList
                .add("hidden");
            }
          } else {
            // click both outside link and outside menu, hide menu
            navMenuDiv
              .classList
              .add("hidden");
          }
        }

        //Help Menu
        if (!checkParent(target, helpMenuDiv)) {
          // click NOT on the menu
          if (checkParent(target, helpMenu)) {
            // click on the link
            if (helpMenuDiv.classList.contains("hidden")) {
              helpMenuDiv
                .classList
                .remove("hidden");
            } else {
              helpMenuDiv
                .classList
                .add("hidden");
            }
          } else {
            // click both outside link and outside menu, hide menu
            helpMenuDiv
              .classList
              .add("hidden");
          }
        }

      }

      function checkParent(t, elm) {
        while (t.parentNode) {
          if (t == elm) {
            return true;
          }
          t = t.parentNode;
        }
        return false;
      }

// https://github.com/tailwindtoolbox/Landing-Page/blob/master/index.html

  var header = document.getElementById("header");
  header.classList.add("bg-opacity-0");
  header.classList.add("text-white");

  document.addEventListener('scroll', function() {
    /*Apply classes for slide in bar*/
	  scrollpos = window.scrollY;

    if(scrollpos > 10){
	    header.classList.remove("bg-opacity-0");
      header.classList.remove("text-white");
    }
    else {
      // Transparent
      header.classList.add("bg-opacity-0");
      header.classList.add("text-white");
    }
  });


{% if site.DISQUS_SITE_NAME %}
/**
 * Disqus
 */
var disqus_config = function () {
this.language = "{{ locale }}";
this.page.title = '{{ title }}';
this.page.url = '{{ site.rootUrl }}{{ page.url }}';  // Replace PAGE_URL with your page's canonical URL variable
this.page.identifier = '{{ page.fileSlug }}'; // Replace PAGE_IDENTIFIER with your page's unique identifier variable
};
(function() { // DON'T EDIT BELOW THIS LINE
var d = document, s = d.createElement('script');
s.src = 'https://{{ site.DISQUS_SITE_NAME }}.disqus.com/embed.js';
s.setAttribute('data-timestamp', +new Date());
(d.head || d.body).appendChild(s);
})();
{% endif %}
    </script>
  </body>
</html>
